summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-02-06 21:22:00 -0500
committerGitHub <noreply@github.com>2019-02-06 21:22:00 -0500
commit2e18e14336d808708c93f3173772de4426462534 (patch)
treea15df2b240e3d192fbace038ba278164b2c82fb3
parent758516a9cb20d76d0eb5372eb489d3480ed7e570 (diff)
parent1678e98de29537eca90f4fa353a7023085cc14d2 (diff)
Merge pull request #117 from ettom/master
ping 1.1.1.1 instead of gateway
-rwxr-xr-xetc/mailsync.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/etc/mailsync.sh b/etc/mailsync.sh
index 95131e8..826cf8a 100755
--- a/etc/mailsync.sh
+++ b/etc/mailsync.sh
@@ -13,10 +13,10 @@ export DISPLAY=:0.0
# Settings are different for MacOS (Darwin) systems.
if [ "$(uname)" = "Darwin" ]
then
- ping -q -t 1 -c 1 `ip r | grep -m 1 default | cut -d ' ' -f 3` >/dev/null || exit
+ ping -q -t 1 -c 1 1.1.1.1 > /dev/null || exit
notify() { osascript -e "display notification \"$2 in $1\" with title \"You've got Mail\" subtitle \"Account: $account\"" && sleep 2 ;}
else
- ping -q -w 1 -c 1 `ip r | grep -m 1 default | cut -d ' ' -f 3` >/dev/null || exit
+ ping -q -W 1 -c 1 1.1.1.1 > /dev/null || exit
notify() { mpv --really-quiet ~/.config/mutt/etc/notify.opus & pgrep -x dunst && notify-send -i ~/.config/mutt/etc/email.gif "$2 new mail(s) in \`$1\` account." ;}
fi